# extconf.rb

Path: | ext/nokogiri/extconf.rb
Last Update: | Mon Mar 15 10:33:05 -0600 2010

### Required files

mkmf

### Methods

link_command nokogiri_find_header nokogiri_link_command with_custom_link

### Constants

ROOT | = | File.expand_path(File.join(File.dirname(__FILE__), '..', '..'))
LIBDIR | = | Config::CONFIG['libdir']
INCLUDEDIR | = | Config::CONFIG['includedir']
HEADER_DIRS | = | [ # First search /opt/local for macports '/opt/local/include', '/opt/local/include/libxml2', # Then search /usr/local for people that installed from source '/usr/local/include', '/usr/local/include/libxml2', # Check the ruby install locations INCLUDEDIR, File.join(INCLUDEDIR, "libxml2"), # Finally fall back to /usr '/usr/include', '/usr/include/libxml2', ]
LIB_DIRS | = | [ # First search /opt/local for macports '/opt/local/lib', # Then search /usr/local for people that installed from source '/usr/local/lib', # Check the ruby install locations LIBDIR, # Finally fall back to /usr '/usr/lib', ]
CUSTOM_DASH_I | = | []

### External Aliases

link_command | -> | old_link_command
old_link_command | -> | link_command

### Public Instance methods

link_command(ldflags, opt='', libpath=$LIBPATH)

Alias for nokogiri_link_command

nokogiri_find_header(header_file, *paths)
nokogiri_link_command(ldflags, opt='', libpath=$LIBPATH)
with_custom_link() {|| ...}

[Validate]